Index: src/errors.c
===================================================================
RCS file: /cvs/hugs98/src/errors.c,v
retrieving revision 1.6
diff -u -r1.6 errors.c
--- src/errors.c	29 Mar 2004 11:47:45 -0000	1.6
+++ src/errors.c	4 Aug 2005 12:20:43 -0000
@@ -31,7 +31,7 @@
 	if (showStats) {
 #define plural(v)   v, (v==1?"":"s")
 #if HUGS_FOR_WINDOWS
-	    { INT svColor = SetForeColor(BLUE);
+	    { int svColor = SetForeColor(BLUE);
 #endif
 	    Printf("(%lu reduction%s, ",plural(numReductions));
 	    Printf("%lu cell%s",plural(numCells));
@@ -72,10 +72,28 @@
      * -- sof 9/01.
      */
     if (scriptFile) {
- 	FPrintf(errorStream," \"%s\"",scriptFile);
-	setLastEdit(scriptFile,l);
- 	if (l) FPrintf(errorStream,":%d",l);
-	scriptFile = 0;
+		setLastEdit(scriptFile,l);
+
+#ifdef HUGS_FOR_WINDOWS
+		{
+			char Buffer[1000];
+			FPrintf(errorStream, " ");
+			strcpy(Buffer, "file:");
+			strcat(Buffer, scriptFile);
+			if (l)
+			{
+				strcat(Buffer, ":");
+				itoa(l, &Buffer[strlen(Buffer)], 10);
+			}
+			WinHugsHyperlink(Buffer);
+		}
+#else
+ 		FPrintf(errorStream," \"%s\"",scriptFile);
+ 		if (l)
+			FPrintf(errorStream,":%d",l);
+#endif
+
+		scriptFile = 0;
     }
     FPrintf(errorStream," - ");
     FFlush(errorStream);
@@ -100,8 +118,9 @@
 String msg; {
 #if HUGS_FOR_WINDOWS
     char buf[300];
-    wsprintf(buf,"INTERNAL ERROR: %s",msg);
-    MessageBox(hWndMain, buf, appName, MB_ICONHAND | MB_OK);
+    strcpy(buf, "INTERNAL ERROR: ");
+    strcat(buf, msg);
+    ErrorBox(buf);
 #endif
     failed();
     stopAnyPrinting();
@@ -117,8 +136,9 @@
 String msg; {
 #if HUGS_FOR_WINDOWS
     char buf[300];
-    wsprintf(buf,"FATAL ERROR: %s",msg);
-    MessageBox(hWndMain, buf, appName, MB_ICONHAND | MB_OK);
+    strcpy(buf, "INTERNAL ERROR: ");
+    strcat(buf, msg);
+    ErrorBox(buf);
 #endif
     FlushStdout();
     Printf("\nFATAL ERROR: %s\n",msg);
@@ -131,11 +151,7 @@
  * ------------------------------------------------------------------------*/
 sigHandler(breakHandler) {              /* respond to break interrupt      */
 #if HUGS_FOR_WINDOWS
-#if USE_THREADS
-    MessageBox(hWndMain, "Interrupted!", appName, MB_ICONSTOP | MB_OK);
-#else
-    MessageBox(GetFocus(), "Interrupted!", appName, MB_ICONSTOP | MB_OK);
-#endif
+	ErrorBox("Interrupted!");
 #endif
 #if HUGS_FOR_WINDOWS
     FPrintf(errorStream,"{Interrupted!}\n");
Index: src/errors.h
===================================================================
RCS file: /cvs/hugs98/src/errors.h,v
retrieving revision 1.11
diff -u -r1.11 errors.h
--- src/errors.h	28 Oct 2003 11:49:52 -0000	1.11
+++ src/errors.h	19 Jul 2005 15:39:19 -0000
@@ -29,7 +29,7 @@
 extern Void   hugsFlushStdout       Args((Void));
 extern Void   hugsEnableOutput      Args((Bool));
 extern String hugsClearOutputBuffer Args((Void));
-			    
+
 extern Void   hugsFFlush    	    Args((FILE*));
 extern Void   hugsFPrintf   	    Args((FILE*, const char*, ...));
 extern Void   hugsPutc      	    Args((int, FILE*));
@@ -43,9 +43,9 @@
 #define FFlush               hugsFFlush
 #define FPrintf              hugsFPrintf
 #define Putc                 hugsPutc
-			     
+
 #else /* !REDIRECT_OUTPUT */
-			     
+
 #define Printf               printf
 #define Putchar              putchar
 #define FlushStdout()        fflush(stdout)
@@ -65,7 +65,7 @@
 #undef  Lolite
 #define Hilite()         doNothing()
 #define Lolite()         doNothing()
-#define SetForeColor(c)  WinTextcolor(hWndText,c);
+#define SetForeColor(c)  WinHugsColor(c);
 #define errorStream	 stderr
 #else
 #define Hilite()         doNothing()
